/* 9503LS02.CMD - List CONFIG.SYS on LPT1 */                      /* 0001 */
Say 'Listing CONFIG.SYS on LPT1'                                  /* 0002 */
Say 'Please enter drive letter of CONFIG.SYS'                     /* 0003 */
pull drive_letter                                                 /* 0004 */
                                                                  /* 0005 */
config_sys_file_name = drive_letter || ':\CONFIG.SYS'             /* 0006 */
if STREAM( config_sys_file_name, 'C', 'QUERY EXISTS' ) = '' then  /* 0007 */
   do                                                             /* 0008 */
      say 'Unable to locate' config_sys_file_name                 /* 0009 */
      exit                                                        /* 0010 */
   end                                                            /* 0011 */
                                                                  /* 0012 */
form_feed = D2C(12)                                               /* 0013 */
input_line_count = 0                                              /* 0014 */
do while LINES(config_sys_file_name) > 0                          /* 0015 */
   input_line = LINEIN(config_sys_file_name)                      /* 0016 */
   input_line_count = input_line_count + 1                        /* 0017 */
   call LINEOUT 'LPT1', input_line                                /* 0018 */
end                                                               /* 0019 */
call CHAROUT 'LPT1', form_feed                                    /* 0020 */
                                                                  /* 0021 */
call STREAM config_sys_file_name, 'C', 'CLOSE'                    /* 0022 */
call STREAM 'LPT1', 'C', 'CLOSE'                                  /* 0023 */
                                                                  /* 0024 */
Say input_line_count || ' lines listed'                           /* 0025 */
exit                                                              /* 0026 */
