/* 9510LS02.CMD - Color & spinning character */                   /* 01 */
                                                                  /* 02 */
/*-------------------*\                                           /* 03 */
|  Register REXXUTIL  |                                           /* 04 */
\*-------------------*/                                           /* 05 */
call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'         /* 06 */
call SysLoadFuncs                                                 /* 07 */
                                                                  /* 08 */
/*-----------*\                                                   /* 09 */
|  Constants  |                                                   /* 10 */
\*-----------*/                                                   /* 11 */
bksp               = '08'x                                        /* 12 */
crlf               = '0D0A'x                                      /* 13 */
progress_list      = 'A\|/'         /* 'C45C7C2F'x */             /* 14 */
progress_subscript = 1                                            /* 15 */
white_on_cyan      = '1B'x || '[1;37;45m' /* bright white on cyan */
ansi_off           = '1B'x || '[0m'       /* reset to normal      */
                                                                  /* 18 */
/*----------------------------------*\                            /* 19 */
|  Write string and turn off cursor  |                            /* 20 */
\*----------------------------------*/                            /* 21 */
output_string =,                                                  /* 22 */
   COPIES( ' ', 25 )       ||,                                    /* 23 */
   white_on_cyan           ||,                                    /* 24 */
   'Watch the spinner!   ' ||,                                    /* 25 */
   ansi_off                                                       /* 26 */
call CHAROUT 'CON:', output_string                                /* 27 */
call SysCurState 'OFF'                                            /* 28 */
                                                                  /* 29 */
/*------------------------------*\                                /* 30 */
|  Loop writing spin characters  |                                /* 31 */
\*------------------------------*/                                /* 32 */
call TIME 'E'                       /* reset elapsed timer */     /* 33 */
do until TIME( 'E' ) > 10           /* run for n seconds  */      /* 34 */
   call CHAROUT 'CON:', bksp ||,                                  /* 35 */
                        SUBSTR( progress_list,,                   /* 36 */
                                progress_subscript,,              /* 37 */
                                1 )                               /* 38 */
   progress_subscript = progress_subscript + 1                    /* 39 */
   if progress_subscript > LENGTH( progress_list ) then           /* 40 */
      do                                                          /* 41 */
         progress_subscript = 1                                   /* 42 */
      end                                                         /* 43 */
end                                                               /* 44 */
                                                                  /* 45 */
/*----------------------------------*\                            /* 46 */
|  Close CON to release file handle  |                            /* 47 */
\*----------------------------------*/                            /* 48 */
call LINEOUT 'CON:', bksp || ' '    /* clear spinner character */ /* 49 */
call STREAM 'CON:', 'C', 'CLOSE'                                  /* 50 */
call SysCurState 'ON'               /* turn cursor back on */     /* 51 */
exit                                                              /* 52 */
