/*----------------------------------------------------------*\ /*01*/
|  9511LS01.CMD - Create Program Manager Desktop Equivalent  | /*02*/
\*----------------------------------------------------------*/ /*03*/
/* Assure that REXXUTIL is loaded */                           /*04*/
call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'      /*05*/
call SysLoadFuncs                                              /*06*/
                                                               /*07*/
/*-------------------------------*\                            /*08*/
|  Initialization and Setup code  |                            /*09*/
\*-------------------------------*/                            /*10*/
GBL.desktop_object_id = "<Program Manager Desktop Equivalent>" /*11*/
GBL.desktop_title     = "Program Manager^Desktop Equivalent"   /*12*/
GBL.font              = "8.Helv"                               /*13*/
                                                               /*14*/
/*---------------------------------------*\                    /*15*/
|  The following value(s) can be changed  |                    /*16*/
|  to suit your personal taste.           |                    /*17*/
\*---------------------------------------*/                    /*18*/
GBL.icon_view   = "FLOWED" /* can be set to FLOWED | NONGRID *//*19*/
GBL.sort_option = "YES"    /* can be set to YES    | NO      *//*20*/
                                                               /*21*/
/*-------------------------------*\                            /*22*/
|  Build Program Manager Desktop  |                            /*23*/
|  Equivalent on OS/2 Desktop     |                            /*24*/
\*-------------------------------*/                            /*25*/
say COPIES( " ", 3 ) || "Building" GBL.desktop_title           /*26*/
folder_class    = "WPFolder"                                   /*27*/
folder_title    = GBL.desktop_title                            /*28*/
folder_location = "<WP_DESKTOP>"                               /*29*/
folder_option   = "UPDATE"                                     /*30*/
folder_setup    =,                                             /*31*/
   "ALWAYSSORT="  || GBL.sort_option  || ";"        ||,        /*32*/
   "ICONFONT="    || GBL.font         || ";"        ||,        /*33*/
   "ICONVIEW="    || GBL.icon_view    || ",NORMAL;" ||,        /*34*/
   "OBJECTID=<Program Manager Desktop Equivalent>;"            /*35*/
call SysCreateObject folder_class,,                            /*36*/
                     folder_title,,                            /*37*/
                     folder_location,,                         /*38*/
                     folder_setup,,                            /*39*/
                     folder_option                             /*40*/
if RESULT <> 1 then                                            /*41*/
   do                                                          /*42*/
      say "   Unable to create " || folder_title               /*43*/
      say "      folder, program cancelled."                   /*44*/
      exit                                                     /*45*/
   end                                                         /*46*/
