/*-------------------------------------------*\          /*01*/
|  9511LS02.CMD - Create Group Folder Object  |          /*02*/
\*-------------------------------------------*/          /*03*/
/*-------------------------------------*\                /*04*/
|  Build Group folder for: Accessories  |                /*05*/
\*-------------------------------------*/                /*06*/
say COPIES( " ", 6 ) || "Building Accessories folder."   /*07*/
folder_class    = "WPFolder"                             /*08*/
folder_title    = "Accessories"                          /*09*/
folder_location = "<Program Manager Desktop Equivalent>" /*10*/
folder_option   = "UPDATE"                               /*11*/
folder_setup    =,                                       /*12*/
   "DETAILSFONT="  || GBL.font || ";"             ||,    /*13*/
   "TREEVIEWFONT=" || GBL.font || ";"             ||,    /*14*/
   "ICONFONT="     || GBL.font || ";"             ||,    /*15*/
   "ICONVIEW="     || GBL.icon_view || ",NORMAL;" ||,    /*16*/
   "ICONRESOURCE=72,PMWP;"                        ||,    /*17*/
   "ICONNRESOURCE=35,PMWP;"                       ||,    /*18*/
   "ALWAYSSORT="  || GBL.sort_option  || ";"      ||,    /*19*/
   "OBJECTID=<Accessories Group>;"                       /*20*/
call SysCreateObject folder_class,,                      /*21*/
                     folder_title,,                      /*22*/
                     folder_location,,                   /*23*/
                     folder_setup,,                      /*24*/
                     folder_option                       /*25*/
if RESULT <> 1 then                                      /*26*/
   do                                                    /*27*/
      say "   Unable to create " || folder_title ||,     /*28*/
          "group folder."                                /*29*/
      exit                                               /*30*/
   end                                                   /*31*/
