/* LS40DSKT.CMD - Create the LAN Server 4.0 Desktop for WPS
   (c) 1995 - Kenneth Frazier

     This was written because IBM didn't
*/

Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

landrive = ''

bootdrive = Substr(Value('PATH',,'OS2ENVIRONMENT'),Pos('\OS2\SYSTEM',Value('PATH',,'OS2ENVIRONMENT'))-2,2)
If Pos('\IBMLAN',Translate(Value('PATH',,'OS2ENVIRONMENT'))) > 0 Then landrive = Translate(Substr(Value('PATH',,'OS2ENVIRONMENT'),Pos('\IBMLAN',Translate(Value('PATH',,'OS2ENVIRONMENT')))-2,2))
If Pos('\MUGLIB',Translate(Value('PATH',,'OS2ENVIRONMENT'))) > 0 Then upmdrive = Translate(Substr(Value('PATH',,'OS2ENVIRONMENT'),Pos('\MUGLIB',Translate(Value('PATH',,'OS2ENVIRONMENT')))-2,2))
If Pos('\IBMCOM',Translate(Value('PATH',,'OS2ENVIRONMENT'))) > 0 Then comdrive = Translate(Substr(Value('PATH',,'OS2ENVIRONMENT'),Pos('\IBMCOM',Translate(Value('PATH',,'OS2ENVIRONMENT')))-2,2))
If landrive = ''  Then Do
  Say 'No LAN Server found, terminating.'
  Exit 9
End

'CLS'
Say "Your system is installed on the" bootdrive "drive."
Say " "
Say "The following components have been found:"
Say " "
If landrive <> '' Then Say "     LAN Requester on drive" landrive
If upmdrive <> '' Then Say "     User Profile Management on drive" upmdrive
Say " "
Say "This program will now create a folder for each identified product on your"
Say "desktop, which will contain the standard WPS entries."
Say " "
Say "Do you want to continue (Y/N)?"
Parse Upper Pull yesno .
If Substr(yesno,1,1) <> 'Y' Then Call Endit

rc = SysRegisterObjectClass('LSDirectory',landrive||'\IBMLAN\NETLIB\LSGWPS.DLL')

ObjMode = 'R' /* Replace */

Location = '<WP_DESKTOP>'
Title = 'IBM LAN Services'
Class = 'LSDirectory'
SetupString = "NOTDEFAULTICON=YES;"
SetupString =  SetupString || 'ICONRESOURCE='||landrive||'\IBMLAN\NETPROG\LSFOLDER.ICO;'
SetupString =  SetupString || 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_FOLDER>;'

Call MakeObj

Location = '<WP_DESKTOP>'
Title = 'UPM Services'
Class = 'LSDirectory'
SetupString = "NOTDEFAULTICON=YES;"
SetupString =  SetupString || 'ICONRESOURCE='||upmdrive||'\MUGLIB\UPMFLDR.ICO;'
SetupString =  SetupString || 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<UPM_FOLDER>;'

Call MakeObj

Location = '<WP_DESKTOP>'
Title = 'MPTS'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<NTS_MPTS_ICON>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||comdrive||'\IBMCOM\MPTS.EXE;'

Call MakeObj

/******************************  Build Sub-Folders  **************************/

/* Creation of UPM objects */


Location = '<UPM_FOLDER>'
Title = 'Logon'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<UPM_LOGON>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||upmdrive||'\MUGLIB\LOGON.EXE;'
SetupString =  SetupString || 'STARTUPDIR='||upmdrive||'\MUGLIB;'

Call MakeObj

Location = '<UPM_FOLDER>'
Title = 'Logoff'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<UPM_LOGOFF>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||upmdrive||'\MUGLIB\LOGOFF.EXE;'
SetupString =  SetupString || 'PARAMETERS=/L;'
SetupString =  SetupString || 'STARTUPDIR='||upmdrive||'\MUGLIB;'

Call MakeObj

Location = '<UPM_FOLDER>'
Title = 'User Account Management'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<UPM_ACCTS>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||upmdrive||'\MUGLIB\UPMACCTS.EXE;'

Call MakeObj

/* --- end of objects in UPM folder --- */

/* Begin Building LAN Server 4.0 Folder */

Location = '<LS_FOLDER>'
Title = 'LAN Server Books'
Class = 'LSDirectory'
SetupString = "NOTDEFAULTICON=YES;"
SetupString =  SetupString || 'ICONRESOURCE='||landrive||'\IBMLAN\BOOKS\LSBOOKS.ICO;'
SetupString =  SetupString || 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_BOOK>;'

Call MakeObj

Location = '<LS_FOLDER>'
Title = 'MPTS'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_MPTS_ICON>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||comdrive||'\IBMCOM\MPTS.EXE;'

Call MakeObj

Location = '<LS_FOLDER>'
Title = 'LS 4.0 Tuning Assistant'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_TUNE>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||landrive||'\IBMLAN\LS40TUNE.EXE;'
SetupString =  SetupString || 'STARTUPDIR='||landrive||'\IBMLAN;'

Call MakeObj

Location = '<LS_FOLDER>'
Title = 'Start Requester'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_START>;'
SetupString =  SetupString || 'PROGTYPE=WINDOWABLEVIO;'
SetupString =  SetupString || 'EXENAME='||landrive||'\IBMLAN\NETPROG\NETSTCMD.CMD;'
SetupString =  SetupString || 'PARAMETERS=START REQ;'
SetupString =  SetupString || 'STARTUPDIR='||landrive||'\IBMLAN\NETPROG;'

Call MakeObj

Location = '<LS_FOLDER>'
Title = 'README.DOC'
Class = 'WPProgram'
SetupString = 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME=E.EXE;'
SetupString =  SetupString || 'PARAMETERS=README.DOC;'
SetupString =  SetupString || 'STARTUPDIR='||landrive||'\IBMLAN;'

Call MakeObj

Location = '<LS_FOLDER>'
Title = 'ERROR.TXT'
Class = 'WPProgram'
SetupString = 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME=E.EXE;'
SetupString =  SetupString || 'PARAMETERS=ERROR.TXT;'
SetupString =  SetupString || 'STARTUPDIR='||landrive||'\IBMLAN;'

Call MakeObj

Location = '<LS_FOLDER>'
Title = 'OS/2 LAN Services^Installation/Configuration'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_INSTALL>;'
SetupString =  SetupString || 'PROGTYPE=FULLSCREEN;'
SetupString =  SetupString || 'EXENAME='||landrive||'\IBMLAN\INSTALL\LANINST.EXE;'
SetupString =  SetupString || 'PARAMETERS=/20;'
SetupString =  SetupString || 'STARTUPDIR='||landrive||'\IBMLAN\INSTALL;'

Call MakeObj

Location = '<LS_FOLDER>'
Title = 'Network DDE^and Clipboard'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_CLIP>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||landrive||'\IBMLAN\NETPROG\NWDDE.EXE;'
SetupString =  SetupString || 'STARTUPDIR='||landrive||'\IBMLAN\NETPROG;'

Call MakeObj

Location = '<LS_FOLDER>'
Title = 'Network Messaging'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_NETMSG>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||landrive||'\IBMLAN\NETPROG\NETMSG.EXE;'
SetupString =  SetupString || 'STARTUPDIR='||landrive||'\IBMLAN\NETPROG;'

Call MakeObj

Location = '<LS_FOLDER>'
Title = 'Logon'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_LOGON>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||upmdrive||'\MUGLIB\LOGON.EXE;'
SetupString =  SetupString || 'STARTUPDIR='||upmdrive||'\MUGLIB;'

Call MakeObj

Location = '<LS_FOLDER>'
Title = 'Logoff'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_LOGOFF>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||upmdrive||'\MUGLIB\LOGOFF.EXE;'
SetupString =  SetupString || 'PARAMETERS=/L;'
SetupString =  SetupString || 'STARTUPDIR='||upmdrive||'\MUGLIB;'

Call MakeObj


Location = '<LS_FOLDER>'
Title = 'LAN Server^Administration'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_ADMIN>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||landrive||'\IBMLAN\NETPROG\NETGUI.EXE;'
SetupString =  SetupString || 'STARTUPDIR='||landrive||'\IBMLAN\NETPROG;'

Call MakeObj

Location = '<LS_FOLDER>'
Title = 'LAN Server^Audit Log Utility'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_AUDIT>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||landrive||'\IBMLAN\NETPROG\LSAUDIT.EXE;'
SetupString =  SetupString || 'STARTUPDIR='||landrive||'\IBMLAN\LOGS;'

Call MakeObj

Location = '<LS_FOLDER>'
Title = 'LAN Server^Error Log Utility'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_ERROR>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||landrive||'\IBMLAN\NETPROG\LSERROR.EXE;'
SetupString =  SetupString || 'STARTUPDIR='||landrive||'\IBMLAN\LOGS;'

Call MakeObj

/* Add the Books to the LS Books Folder */

Location = '<LS_BOOK>'
Title = 'LAN Server^REXX Utilities'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||bootdrive||'\OS2\VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||landrive||'\IBMLAN\BOOKS\LSRXUTIL.INF;'

Call MakeObj

Location = '<LS_BOOK>'
Title = 'Up and Running!'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LSA3A41>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||bootdrive||'\OS2\VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||landrive||'\IBMLAN\BOOKS\A3A41M02.INF;'

Call MakeObj

Location = '<LS_BOOK>'
Title = 'Planning,^Installation, and Configuration'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LSA3A61>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||bootdrive||'\OS2\VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||landrive||'\IBMLAN\BOOKS\A3A61M02.INF;'

Call MakeObj

Location = '<LS_BOOK>'
Title = 'Performance^Tuning'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LSA3A4G>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||bootdrive||'\OS2\VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||landrive||'\IBMLAN\BOOKS\A3A4GM02.INF;'

Call MakeObj

Location = '<LS_BOOK>'
Title = 'Network Administrator^Tasks'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LSA3A62>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||bootdrive||'\OS2\VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||landrive||'\IBMLAN\BOOKS\A3A62M02.INF;'

Call MakeObj

Location = '<LS_BOOK>'
Title = 'Problem Determination^Guide'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LSA3A4F>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||bootdrive||'\OS2\VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||landrive||'\IBMLAN\BOOKS\A3A4FM02.INF;'

Call MakeObj

Location = '<LS_BOOK>'
Title = 'Programming Guide^and Reference'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LSA3A4A>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||bootdrive||'\OS2\VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||landrive||'\IBMLAN\BOOKS\A3A4AM02.INF;'

Call MakeObj

Location = '<LS_BOOK>'
Title = 'OS/2 LAN Requester^User''s Guide'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LSA3A4I>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||bootdrive||'\OS2\VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||landrive||'\IBMLAN\BOOKS\A3A4IM02.INF;'

Call MakeObj

Location = '<LS_BOOK>'
Title = 'DLS and Windows^User''s Guide'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LSA3A4H>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||bootdrive||'\OS2\VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||landrive||'\IBMLAN\BOOKS\A3A4HM02.INF;'

Call MakeObj

Location = '<LS_BOOK>'
Title = 'Commands and^Utilities'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LSA3A53>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||bootdrive||'\OS2\VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||landrive||'\IBMLAN\BOOKS\A3A53M02.INF;'

Call MakeObj

Location = '<LS_BOOK>'
Title = 'Easy Start'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LSA3A83>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||bootdrive||'\OS2\VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||landrive||'\IBMLAN\BOOKS\A3A83M02.INF;'

Call MakeObj

Location = '<LS_BOOK>'
Title = 'LAN CID^Utility Guide'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LSA3S12>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||bootdrive||'\OS2\VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||landrive||'\IBMLAN\BOOKS\A3S12M02.INF;'

Call MakeObj

Location = '<LS_BOOK>'
Title = 'MPTS Configuration^Guide'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LSA3V10>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||bootdrive||'\OS2\VIEW.EXE;'
SetupString =  SetupString || 'PARAMETERS='||landrive||'\IBMLAN\BOOKS\A3V10M02.INF;'

Call MakeObj

Location = '<LS_BOOK>'
Title = 'LAN Server Glossary'
Class = 'Mindex'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS40Glos>;'
SetupString =  SetupString || 'HELPPANEL=324;'
SetupString =  SetupString || 'HELPLIBRARY='||landrive||'\IBMLAN\BOOKS\LSIWOBJS.HLP;'
SetupString =  SetupString || 'ICONRESOURCE=1^,'||bootdrive||'\OS2\DLL\MINXMRI.DLL;'

Call MakeObj

/* Add Network Messaging to System Startup */

Location = '<WP_START>'
Title = 'Network Messaging'
Class = 'WPProgram'
SetupString = 'NOPRINT=YES;'
SetupString =  SetupString || 'OBJECTID=<LS_NETMSG2>;'
SetupString =  SetupString || 'PROGTYPE=PM;'
SetupString =  SetupString || 'EXENAME='||landrive||'\IBMLAN\NETPROG\NETMSG.EXE;'
SetupString =  SetupString || 'PARAMETERS=/MIN;'
SetupString =  SetupString || 'STARTUPDIR='||landrive||'\IBMLAN\NETPROG;'

Call MakeObj

Exit 0

MakeObj:
    Say Copies('',75)
    Say 'Creating 'Title' at 'location' as 'Class
    rc = 0
    rc = SysCreateObject(Class,Title,Location,SetupString,ObjMode)
    if rc then do
       Say 'SysCreateObject returned 'rc
    end
    return
