/* rexxify */

/* (c) Copyright 1995 Strategic Solutions International Corporation */
/* 1127 Tolland Turnpike, Manchester, CT., 06040-1678               */
/* (860) 649-1900 (fax/bbs: 649-1230)                               */

/* REXX utility to convert from on MAC address format to another */

Say 'Enter the MAC Address to be converted (12 hexadecimal digits):'
parse upper pull ADDR

ADDR_LEN = length(ADDR)

if (ADDR_LEN \= 12) then
do
   Say 'You only entered 'ADDR_LEN' digits.  Try again (bye).'
   exit
end

NEW_ADDR = ''
BYTE_OFFSET = 0

do while(BYTE_OFFSET < 6)
   BYTE_OFFSET = BYTE_OFFSET+1
   POS = BYTE_OFFSET*2
   TEMP_1 = left(ADDR,POS)
   BYTE.BYTE_OFFSET = right(TEMP_1,2)
end
BYTE_OFFSET = 6
do while(BYTE_OFFSET > 0)
   TEMP_0 = value(BYTE.BYTE_OFFSET)
   BYTE_OFFSET = BYTE_OFFSET-1
   POS = BYTE_OFFSET*2
   TEMP_1 = right(left(TEMP_0,2),1)
   TEMP_2 = left(TEMP_0,1)
   TEMP_3 = TEMP_1 || TEMP_2
   NEW_BYTE.BYTE_OFFSET = translate(TEMP_3,'084C2A6E195D3B7F','0123456789ABCDEF')
end

BYTE_OFFSET = 0
do while(BYTE_OFFSET < 6)
   NEW_ADDR = NEW_ADDR || NEW_BYTE.BYTE_OFFSET
   BYTE_OFFSET = BYTE_OFFSET + 1
end

Say 'Converted Address is:  ' NEW_ADDR

EXIT
