/* 9506LS07.CMD (RXLS05.CMD) - Build your own Launchpad */
                                                    /* 0002 */
LaunchPadID = '<WP_LAUNCHPAD>'                      /* 0003 */
location    = '<WP_OS2SYS>'                         /* 0004 */
title       = 'LaunchPad'                           /* 0005 */
class       = 'WPLaunchPad'                         /* 0006 */
                                                    /* 0007 */
/*------------------------*\                        /* 0008 */
|  Setup LaunchPad string  |                        /* 0009 */
\*------------------------*/                        /* 0010 */
parameters =,                                       /* 0011 */
   'CCVIEW=NO;'                              ||,    /* 0012 */
   'HELPPANEL=32253;'                        ||,    /* 0013 */
   'ICONRESOURCE=74 PMWP.DLL;'               ||,    /* 0014 */
   'LPACTIONSTYLE=OFF;'                      ||,    /* 0015 */
   'LPCLOSEDRAWER=YES;'                      ||,    /* 0016 */
   'LPDRAWERTEXT=YES;'                       ||,    /* 0017 */
   'LPFLOAT=NO;'                             ||,    /* 0018 */
   'LPHIDECTLS=YES;'                         ||,    /* 0019 */
   'LPSMALLICONS=YES;'                       ||,    /* 0020 */
   'LPTEXT=YES;'                             ||,    /* 0021 */
   'LPVERTICAL=YES;'                         ||,    /* 0022 */
   'NOPRINT=YES;'                            ||,    /* 0023 */
   'FPOBJECTS='                              ||,    /* 0024 */
      '<WP_DRIVES>,'                /* 01 */ ||,    /* 0025 */
      '<WPPO_HPLaserJ>,'            /* 02 */ ||,    /* 0026 */
      '<Corel_Draw!>,'              /* 03 */ ||,    /* 0027 */
      '<WP_MEGASCAN^3>,'            /* 04 */ ||,    /* 0028 */
      '<WP_OS2WIN>,'                /* 05 */ ||,    /* 0029 */
      '<TAPCIS>,'                   /* 06 */ ||,    /* 0030 */
      '<WordPerfect_for_Windows>,'  /* 07 */ ||,    /* 0031 */
      '<WP_GAMES>,'                 /* 08 */ ||,    /* 0032 */
      ';'                                    ||,    /* 0033 */
   'OBJECTID=' || LaunchPadID || ';'                /* 0034 */
                                                    /* 0035 */
call SysCreateObject class,,                        /* 0036 */
                     title,,                        /* 0037 */
                     location,,                     /* 0038 */
                     parameters,,                   /* 0039 */
                     'R'                            /* 0040 */
if RESULT <> 1 then                                 /* 0041 */
   do                                               /* 0042 */
      say '   Error creating launchpad'             /* 0043 */
      exit                                          /* 0044 */
   end                                              /* 0045 */
                                                    /* 0046 */
/*----------------------*\                          /* 0047 */
|  Setup drawer strings  |                          /* 0048 */
\*----------------------*/                          /* 0049 */
drawer_01 =,                                        /* 0050 */
   'DRAWEROBJECTS=01,'                       ||,    /* 0051 */
      '<BackMaster>,'                        ||,    /* 0052 */
      'L:\WWW,'                              ||,    /* 0053 */
      ';'                                           /* 0054 */
                                                    /* 0055 */
drawer_02 =,                                        /* 0056 */
   'DRAWEROBJECTS=02,'                       ||,    /* 0057 */
      '<WPPO_FxPrint>,'                      ||,    /* 0058 */
      ';'                                           /* 0059 */
                                                    /* 0060 */
drawer_03 =,                                        /* 0061 */
   'DRAWEROBJECTS=03,'                       ||,    /* 0062 */
      'c:\os2addon\pmcamera.exe,'            ||,    /* 0063 */
      ';'                                           /* 0064 */
                                                    /* 0065 */
drawer_05 =,                                        /* 0066 */
   'DRAWEROBJECTS=05,'                       ||,    /* 0067 */
      '<WP_WINFS>,'                          ||,    /* 0068 */
      '<WP_WIN2WIN>,'                        ||,    /* 0069 */
      '<WP_DOSFS>,'                          ||,    /* 0070 */
      '<WP_DOSWIN>,'                         ||,    /* 0071 */
      '<WP_OS2FS>,'                          ||,    /* 0072 */
      ';'                                           /* 0073 */
                                                    /* 0074 */
drawer_06 =,                                        /* 0075 */
   'DRAWEROBJECTS=06,'                       ||,    /* 0076 */
      '<IAK_SLIPPM>,'                        ||,    /* 0077 */
      '<ADV_DIALER>,'                        ||,    /* 0078 */
      '<WP_OS/2_CIM__>,'                     ||,    /* 0079 */
      '<WP_INTERNET^C>,'                     ||,    /* 0080 */
      '<WP_XTALK_^MK_>,'                     ||,    /* 0081 */
      ';'                                           /* 0082 */
                                                    /* 0083 */
drawer_07 =,                                        /* 0084 */
   'DRAWEROBJECTS=07,'                       ||,    /* 0085 */
      '<WP_WP_5.1>,'                         ||,    /* 0086 */
      '<WP_REXX_^HAND>,'                     ||,    /* 0087 */
      ';'                                           /* 0088 */
                                                    /* 0089 */
/*-----------------------------------------------*\ /* 0090 */
|  Add drawers to LaunchPad & open it on Desktop  | /* 0091 */
\*-----------------------------------------------*/ /* 0092 */
call SysSetObjectData LaunchpadID, drawer_01        /* 0093 */
call SysSetObjectData LaunchpadID, drawer_02        /* 0094 */
call SysSetObjectData LaunchpadID, drawer_03        /* 0095 */
call SysSetObjectData LaunchpadID, drawer_05        /* 0096 */
call SysSetObjectData LaunchpadID, drawer_06        /* 0097 */
call SysSetObjectData LaunchpadID, drawer_07        /* 0098 */
                                                    /* 0099 */
call SysOpenObject LaunchpadID, 0, 1                /* 0100 */
exit                                                /* 0101 */
